@echo off

echo   ##############################################################
echo   #                                                            #
echo   #  Offline NT Password and Registry Editor Installation      #
echo   #  Version: bd050303                                         #
echo   #  This installation creates a bootable floppy disk.         #
echo   #                                                            #
echo   #  Offline NT Password and Registry Editor must be booted    #
echo   #  from a floppy disk.                                       #
echo   #                                                            #
echo   ##############################################################
echo   .

REM  Are both files here?
if not exist .\rawrite2.exe goto NO_PGM
if not exist .\bd050303.bin goto NO_BIN

rawrite2.exe -f bd050303.bin
if ERRORLEVEL == 1 goto ERROR
echo Done!
echo To run Offline NT Password and Registry Editor, leave the floppy in the drive and reboot.
goto EXIT

:NO_PGM
echo Error: Can't find "rawrite2.exe".  This program must be in the
echo same directory as the install script.
goto ERROR

:NO_BIN
echo Error: Can't find "bd050303.bin".  This file must be in the
echo same directory as the install script.
goto ERROR

:ERROR
echo Installation failed!

:EXIT
pause
